'use strict';
const axios = require('axios').default;

async function getTrafficPrevisions() {
  let res;
  let data = [];
  try {
    res = await axios.get('https://opendata.bordeaux-metropole.fr/api/records/1.0/search/?dataset=ci_courb_a&rows=193')
  } catch (error) {
    console.log('error getting data: ', error);
  }
  if (res) {
    for (const record of res.data.records) {
      data.push({ heure: record.fields.bm_heure, prevision: record.fields.bm_prevision });
    }
  }
  return data
}

module.exports = {
  getTrafficPrevisions
}